﻿using System.Collections.Generic;
using System.Linq;
using Tuitio.PublishedLanguage.Dto;

namespace Netmash.Security.Authentication.Tuitio.Extensions
{
    internal static class DataConversions
    {
        public static IEnumerable<(int id, string code)> ToTuples(this IEnumerable<RecordIdentifier> recordIdentifiers)
        {
            var tuples = recordIdentifiers.Select(z => (z.Id, z.Code));
            return tuples;
        }
    }
}
